From f33a6765e5a2924c83e922392caee474ae415da6 Mon Sep 17 00:00:00 2001
From: "Rick Farina (Zero_Chaos)" <zerochaos@gentoo.org>
Date: Tue, 8 Jan 2019 23:14:44 -0500
Subject: [PATCH 07/13] extend sample rates for bladerf micro, set default

libbladerf simply presents "bladerf" for both original bladerf and the
new bladerf micro.  this causes some pain for new users by default.  I
have extended the available sample rates to include the new sample rates
for the bladerf micro, but more importantly I have set the default
sample rate to the lowest value supported by both original and micro
hardware to avoid crashing with default settings
---
 src/qtgui/ioconfig.cpp | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/src/qtgui/ioconfig.cpp b/src/qtgui/ioconfig.cpp
index e4fdd8f..ad072a1 100644
--- a/src/qtgui/ioconfig.cpp
+++ b/src/qtgui/ioconfig.cpp
@@ -384,8 +384,6 @@ void CIoConfig::updateInputSampleRates(int rate)
     }
     else if (ui->inDevEdit->text().contains("bladerf"))
     {
-        if (rate > 0)
-            ui->inSrCombo->addItem(QString("%1").arg(rate));
         ui->inSrCombo->addItem("160000");
         ui->inSrCombo->addItem("250000");
         ui->inSrCombo->addItem("500000");
@@ -400,6 +398,17 @@ void CIoConfig::updateInputSampleRates(int rate)
         ui->inSrCombo->addItem("30000000");
         ui->inSrCombo->addItem("35000000");
         ui->inSrCombo->addItem("40000000");
+        ui->inSrCombo->addItem("45000000");
+        ui->inSrCombo->addItem("50000000");
+        ui->inSrCombo->addItem("55000000");
+        ui->inSrCombo->addItem("60000000");
+        if (rate > 0)
+        {
+            ui->inSrCombo->insertItem(0, QString("%1").arg(rate));
+            ui->inSrCombo->setCurrentIndex(0);
+        }
+        else
+            ui->inSrCombo->setCurrentIndex(5); // select 5 MHz
     }
     else if (ui->inDevEdit->text().contains("sdr-iq"))
     {
-- 
2.20.1

